Description: Do not attempt to access 'kernel' attr in QtKernelManager
 Updates to qtconsole.manager have removed the 'kernel' attribute, so do not
 attempt to use it and use default setting for GUI
Author: Nick Morrott <nickm@debian.org>
Bug: https://github.com/mu-editor/mu/issues/2036
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1005259
Last-Update: 2022-02-14
---
Index: mu-editor/mu/interface/main.py
===================================================================
--- mu-editor.orig/mu/interface/main.py
+++ mu-editor/mu/interface/main.py
@@ -680,7 +680,6 @@ class Window(QMainWindow):
         """
         Adds a Jupyter based REPL pane to the application.
         """
-        kernel_manager.kernel.gui = "qt4"
         kernel_client.start_channels()
         ipython_widget = JupyterREPLPane()
         ipython_widget.kernel_manager = kernel_manager
Index: mu-editor/tests/interface/test_main.py
===================================================================
--- mu-editor.orig/tests/interface/test_main.py
+++ mu-editor/tests/interface/test_main.py
@@ -1196,7 +1196,6 @@ def test_Window_add_jupyter_repl():
     mock_pane_class.assert_called_once_with()
     assert mock_pane.kernel_manager == mock_kernel_manager
     assert mock_pane.kernel_client == mock_kernel_client
-    assert mock_kernel_manager.kernel.gui == "qt4"
     w.add_repl.assert_called_once_with(mock_pane, "Python3 (Jupyter)")
 
 
